.\" Copyright (c) 1986, University of Utah
.TH RLE_CP 3 2/2/87 3

.SH NAME
rle_cp \- Copy the rest of an image to the output.

.SH SYNOPSIS
.B
#include <rle.h>
.sp
.B
rle_cp( in_hdr, out_hdr )
.br
.B
rle_hdr *in_hdr, *out_hdr;

.SH DESCRIPTION

This routine copies the image contents of one
.IR RLE (5)
file to another.
The image described by 
.I in_hdr
will be copied to the image file described by
.IR out_hdr .
If any rows have been read with
.IR rle_getrow (3)
or
.IR rle_getraw (3),
those rows must have also been written with
.IR rle_putrow "(3) or " rle_putraw (3),
respectively,
in order for the input and output files to be "in sync".
In any case, the header should have been written to the output file with
.IR rle_put_setup (3).
When 
.I rle_cp
returns, the input image file will be positioned at the end of the
image, and an end of image code will have been written to the output
image file.
.SH SEE ALSO
.na
.IR rle_hdr (3),
.IR rle_getrow (3),
.IR rle_getraw (3),
.IR rle_putrow (3),
.IR rle_putraw (3),
.IR rle_put_setup (3),
.IR librle (3),
.IR RLE (5).
.ad b
.SH AUTHOR
Spencer W. Thomas
.br
University of Michigan
